#!/bin/bash
set -u

# Deployment script for charmworld service
# Cribbed from lp:~canonical-losas/canonical-marshal/fenchurch
case $$1 in
    start)
        cd $charm_dir && ./hooks/start
        ;;
    stop)
        cd $charm_dir && ./hooks/stop
        ;;
    restart)
        cd $charm_dir && ./hooks/restart
        ;;
    install)
        cd $charm_dir && ./hooks/install
        ;;
    *)
        echo "Unrecognised deployment command"
        exit 1
        ;;
esac
