# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

import logging


def upgrade(db, index_client):
    log = logging.getLogger("charm.migration")
    # QA questions should always be in the migration list, so dev instances
    # have them.
    collection = db.bundles
    for bundle in collection.find():
        bundle.pop('doctype', None)
        try:
            collection.save(bundle)
            index_client.index_bundle(bundle)
        except Exception as e:
            log.exception(str(e))
